image: node:16.13

before_script:
  - yarn install --cache-folder .yarn

stages:
  - test
  - build
  - deploy

cache:
  paths:
    - node_modules/
    - .yarn

test:
  stage: test
  script:
    - yarn run test

build:
  stage: build
  script:
    - yarn run build
  only:
    - master

deploy:
  stage: deploy
  image: ruby:latest
  before_script:
    - gem install dpl
  script:
    - dpl --provider=heroku --app=sateet-fi --api-key=$HEROKU_API_KEY
  only:
    - master
